edu.wpi.cscore

## Enum VideoEvent.Kind

- java.lang.Object
- - java.lang.Enum<VideoEvent.Kind>
  - - edu.wpi.cscore.VideoEvent.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VideoEvent.Kind>
  Enclosing class:
    VideoEvent

      public static enum VideoEvent.Kind
      extends java.lang.Enum<VideoEvent.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kNetworkInterfacesChanged`
    `kSinkCreated`
    `kSinkDestroyed`
    `kSinkDisabled`
    `kSinkEnabled`
    `kSinkSourceChanged`
    `kSourceConnected`
    `kSourceCreated`
    `kSourceDestroyed`
    `kSourceDisconnected`
    `kSourcePropertyChoicesUpdated`
    `kSourcePropertyCreated`
    `kSourcePropertyValueUpdated`
    `kSourceVideoModeChanged`
    `kSourceVideoModesUpdated`
    `kUnknown`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static VideoEvent.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VideoEvent.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kUnknown

          public static final VideoEvent.Kind kUnknown

    - #### kSourceCreated

          public static final VideoEvent.Kind kSourceCreated

    - #### kSourceDestroyed

          public static final VideoEvent.Kind kSourceDestroyed

    - #### kSourceConnected

          public static final VideoEvent.Kind kSourceConnected

    - #### kSourceDisconnected

          public static final VideoEvent.Kind kSourceDisconnected

    - #### kSourceVideoModesUpdated

          public static final VideoEvent.Kind kSourceVideoModesUpdated

    - #### kSourceVideoModeChanged

          public static final VideoEvent.Kind kSourceVideoModeChanged

    - #### kSourcePropertyCreated

          public static final VideoEvent.Kind kSourcePropertyCreated

    - #### kSourcePropertyValueUpdated

          public static final VideoEvent.Kind kSourcePropertyValueUpdated

    - #### kSourcePropertyChoicesUpdated

          public static final VideoEvent.Kind kSourcePropertyChoicesUpdated

    - #### kSinkSourceChanged

          public static final VideoEvent.Kind kSinkSourceChanged

    - #### kSinkCreated

          public static final VideoEvent.Kind kSinkCreated

    - #### kSinkDestroyed

          public static final VideoEvent.Kind kSinkDestroyed

    - #### kSinkEnabled

          public static final VideoEvent.Kind kSinkEnabled

    - #### kSinkDisabled

          public static final VideoEvent.Kind kSinkDisabled

    - #### kNetworkInterfacesChanged

          public static final VideoEvent.Kind kNetworkInterfacesChanged

  - ### Method Detail

    - #### values

          public static VideoEvent.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoEvent.Kind c : VideoEvent.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoEvent.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()